summaryrefslogtreecommitdiffstats
path: root/network/psi
diff options
context:
space:
mode:
author Eugene Wissner <belka.ew@gmail.com>2010-05-13 01:00:20 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-13 01:00:20 +0200
commitbfd9031c4c537648e88feaa11f9dce611a354f28 (patch)
tree32b3172d498db4e09213ad86983943498b0d56c3 /network/psi
parenta2b44dcb8bab6d8b782e915c9a78cffea9633dc5 (diff)
downloadslackbuilds-bfd9031c4c537648e88feaa11f9dce611a354f28.tar.gz
slackbuilds-bfd9031c4c537648e88feaa11f9dce611a354f28.tar.xz
network/psi: Added to 13.0 repository
Diffstat (limited to 'network/psi')
-rw-r--r--network/psi/README8
-rw-r--r--network/psi/doinst.sh8
-rw-r--r--network/psi/psi.SlackBuild68
-rw-r--r--network/psi/psi.info11
-rw-r--r--network/psi/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/network/psi/README b/network/psi/README
new file mode 100644
index 0000000000..ded41a041e
--- /dev/null
+++ b/network/psi/README
@@ -0,0 +1,8 @@
+Psi is a capable Jabber client aimed at experienced users. Its design
+goals are simplicity and stability. Psi is highly portable and runs on
+Windows, Unix/X11, and Mac OS X.
+
+Psi is minimal but powerful. There are keybindings for just about
+everything, Unicode is supported throughout, and contacts are cached
+offline. Security is also a major consideration, and Psi provides it for
+both client-to-server (SSL) and client-to-client (GnuPG).
diff --git a/network/psi/doinst.sh b/network/psi/doinst.sh
new file mode 100644
index 0000000000..158d743911
--- /dev/null
+++ b/network/psi/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/gtk-update-icon-cache ] \
+ && [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+fi
diff --git a/network/psi/psi.SlackBuild b/network/psi/psi.SlackBuild
new file mode 100644
index 0000000000..36cb842365
--- /dev/null
+++ b/network/psi/psi.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for psi
+
+# Written by Eugene Wissner <belka.ew@gmail.com>
+
+PRGNAM=psi
+VERSION=${VERSION:-0.14}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --release
+
+make
+make install INSTALL_ROOT=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/psi/psi.info b/network/psi/psi.info
new file mode 100644
index 0000000000..f9c7bebe73
--- /dev/null
+++ b/network/psi/psi.info
@@ -0,0 +1,11 @@
+PRGNAM="psi"
+VERSION="0.14"
+HOMEPAGE="http://psi-im.org/"
+DOWNLOAD="http://downloads.sourceforge.net/psi/psi-0.14.tar.bz2"
+MD5SUM="9d7dcce3bcab53b741a712199bd986be"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Eugene Wissner"
+EMAIL="belka.ew@gmail.com"
+APPROVED="michiel"
+
diff --git a/network/psi/slack-desc b/network/psi/slack-desc
new file mode 100644
index 0000000000..542d64d511
--- /dev/null
+++ b/network/psi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+psi: Psi (Qt Jabber client)
+psi:
+psi: Psi is a capable Jabber client aimed at experienced users. Its design
+psi: goals are simplicity and stability. Psi is highly portable and runs
+psi: on Windows, Unix/X11, and Mac OS X.
+psi: Psi is minimal but powerful. There are keybindings for just about
+psi: everything, Unicode is supported throughout, and contacts are cached
+psi: offline. Security is also a major consideration, and Psi provides it
+psi: for both client-to-server (SSL) and client-to-client (GnuPG).
+psi:
+psi: Homepage: http://psi-im.org/